export { AvailableResourcesArgs, AvailableResourcesResult, AvailableResourcesOutputArgs } from "./availableResources";
export declare const availableResources: typeof import("./availableResources").availableResources;
export declare const availableResourcesOutput: typeof import("./availableResources").availableResourcesOutput;
export { CommandArgs, CommandState } from "./command";
export type Command = import("./command").Command;
export declare const Command: typeof import("./command").Command;
export { CommandsArgs, CommandsResult, CommandsOutputArgs } from "./commands";
export declare const commands: typeof import("./commands").commands;
export declare const commandsOutput: typeof import("./commands").commandsOutput;
export { DeploymentSetArgs, DeploymentSetState } from "./deploymentSet";
export type DeploymentSet = import("./deploymentSet").DeploymentSet;
export declare const DeploymentSet: typeof import("./deploymentSet").DeploymentSet;
export { DeploymentSetAssociateArgs, DeploymentSetAssociateState } from "./deploymentSetAssociate";
export type DeploymentSetAssociate = import("./deploymentSetAssociate").DeploymentSetAssociate;
export declare const DeploymentSetAssociate: typeof import("./deploymentSetAssociate").DeploymentSetAssociate;
export { DeploymentSetsArgs, DeploymentSetsResult, DeploymentSetsOutputArgs } from "./deploymentSets";
export declare const deploymentSets: typeof import("./deploymentSets").deploymentSets;
export declare const deploymentSetsOutput: typeof import("./deploymentSets").deploymentSetsOutput;
export { GetAvailableResourcesArgs, GetAvailableResourcesResult, GetAvailableResourcesOutputArgs } from "./getAvailableResources";
export declare const getAvailableResources: typeof import("./getAvailableResources").getAvailableResources;
export declare const getAvailableResourcesOutput: typeof import("./getAvailableResources").getAvailableResourcesOutput;
export { GetCommandsArgs, GetCommandsResult, GetCommandsOutputArgs } from "./getCommands";
export declare const getCommands: typeof import("./getCommands").getCommands;
export declare const getCommandsOutput: typeof import("./getCommands").getCommandsOutput;
export { GetDeploymentSetsArgs, GetDeploymentSetsResult, GetDeploymentSetsOutputArgs } from "./getDeploymentSets";
export declare const getDeploymentSets: typeof import("./getDeploymentSets").getDeploymentSets;
export declare const getDeploymentSetsOutput: typeof import("./getDeploymentSets").getDeploymentSetsOutput;
export { GetHpcClustersArgs, GetHpcClustersResult, GetHpcClustersOutputArgs } from "./getHpcClusters";
export declare const getHpcClusters: typeof import("./getHpcClusters").getHpcClusters;
export declare const getHpcClustersOutput: typeof import("./getHpcClusters").getHpcClustersOutput;
export { GetImageSharePermissionsArgs, GetImageSharePermissionsResult, GetImageSharePermissionsOutputArgs } from "./getImageSharePermissions";
export declare const getImageSharePermissions: typeof import("./getImageSharePermissions").getImageSharePermissions;
export declare const getImageSharePermissionsOutput: typeof import("./getImageSharePermissions").getImageSharePermissionsOutput;
export { GetImagesArgs, GetImagesResult, GetImagesOutputArgs } from "./getImages";
export declare const getImages: typeof import("./getImages").getImages;
export declare const getImagesOutput: typeof import("./getImages").getImagesOutput;
export { GetInstanceTypesArgs, GetInstanceTypesResult, GetInstanceTypesOutputArgs } from "./getInstanceTypes";
export declare const getInstanceTypes: typeof import("./getInstanceTypes").getInstanceTypes;
export declare const getInstanceTypesOutput: typeof import("./getInstanceTypes").getInstanceTypesOutput;
export { GetInstancesArgs, GetInstancesResult, GetInstancesOutputArgs } from "./getInstances";
export declare const getInstances: typeof import("./getInstances").getInstances;
export declare const getInstancesOutput: typeof import("./getInstances").getInstancesOutput;
export { GetInvocationResultsArgs, GetInvocationResultsResult, GetInvocationResultsOutputArgs } from "./getInvocationResults";
export declare const getInvocationResults: typeof import("./getInvocationResults").getInvocationResults;
export declare const getInvocationResultsOutput: typeof import("./getInvocationResults").getInvocationResultsOutput;
export { GetInvocationsArgs, GetInvocationsResult, GetInvocationsOutputArgs } from "./getInvocations";
export declare const getInvocations: typeof import("./getInvocations").getInvocations;
export declare const getInvocationsOutput: typeof import("./getInvocations").getInvocationsOutput;
export { GetKeyPairsArgs, GetKeyPairsResult, GetKeyPairsOutputArgs } from "./getKeyPairs";
export declare const getKeyPairs: typeof import("./getKeyPairs").getKeyPairs;
export declare const getKeyPairsOutput: typeof import("./getKeyPairs").getKeyPairsOutput;
export { GetLaunchTemplatesArgs, GetLaunchTemplatesResult, GetLaunchTemplatesOutputArgs } from "./getLaunchTemplates";
export declare const getLaunchTemplates: typeof import("./getLaunchTemplates").getLaunchTemplates;
export declare const getLaunchTemplatesOutput: typeof import("./getLaunchTemplates").getLaunchTemplatesOutput;
export { GetRegionsArgs, GetRegionsResult, GetRegionsOutputArgs } from "./getRegions";
export declare const getRegions: typeof import("./getRegions").getRegions;
export declare const getRegionsOutput: typeof import("./getRegions").getRegionsOutput;
export { GetZonesArgs, GetZonesResult, GetZonesOutputArgs } from "./getZones";
export declare const getZones: typeof import("./getZones").getZones;
export declare const getZonesOutput: typeof import("./getZones").getZonesOutput;
export { HpcClusterArgs, HpcClusterState } from "./hpcCluster";
export type HpcCluster = import("./hpcCluster").HpcCluster;
export declare const HpcCluster: typeof import("./hpcCluster").HpcCluster;
export { HpcClustersArgs, HpcClustersResult, HpcClustersOutputArgs } from "./hpcClusters";
export declare const hpcClusters: typeof import("./hpcClusters").hpcClusters;
export declare const hpcClustersOutput: typeof import("./hpcClusters").hpcClustersOutput;
export { IamRoleAttachmentArgs, IamRoleAttachmentState } from "./iamRoleAttachment";
export type IamRoleAttachment = import("./iamRoleAttachment").IamRoleAttachment;
export declare const IamRoleAttachment: typeof import("./iamRoleAttachment").IamRoleAttachment;
export { ImageArgs, ImageState } from "./image";
export type Image = import("./image").Image;
export declare const Image: typeof import("./image").Image;
export { ImageImportArgs, ImageImportState } from "./imageImport";
export type ImageImport = import("./imageImport").ImageImport;
export declare const ImageImport: typeof import("./imageImport").ImageImport;
export { ImageSharePermissionArgs, ImageSharePermissionState } from "./imageSharePermission";
export type ImageSharePermission = import("./imageSharePermission").ImageSharePermission;
export declare const ImageSharePermission: typeof import("./imageSharePermission").ImageSharePermission;
export { ImageSharePermissionsArgs, ImageSharePermissionsResult, ImageSharePermissionsOutputArgs } from "./imageSharePermissions";
export declare const imageSharePermissions: typeof import("./imageSharePermissions").imageSharePermissions;
export declare const imageSharePermissionsOutput: typeof import("./imageSharePermissions").imageSharePermissionsOutput;
export { ImagesArgs, ImagesResult, ImagesOutputArgs } from "./images";
export declare const images: typeof import("./images").images;
export declare const imagesOutput: typeof import("./images").imagesOutput;
export { InstanceArgs, InstanceState } from "./instance";
export type Instance = import("./instance").Instance;
export declare const Instance: typeof import("./instance").Instance;
export { InstanceTypesArgs, InstanceTypesResult, InstanceTypesOutputArgs } from "./instanceTypes";
export declare const instanceTypes: typeof import("./instanceTypes").instanceTypes;
export declare const instanceTypesOutput: typeof import("./instanceTypes").instanceTypesOutput;
export { InstancesArgs, InstancesResult, InstancesOutputArgs } from "./instances";
export declare const instances: typeof import("./instances").instances;
export declare const instancesOutput: typeof import("./instances").instancesOutput;
export { InvocationArgs, InvocationState } from "./invocation";
export type Invocation = import("./invocation").Invocation;
export declare const Invocation: typeof import("./invocation").Invocation;
export { InvocationResultsArgs, InvocationResultsResult, InvocationResultsOutputArgs } from "./invocationResults";
export declare const invocationResults: typeof import("./invocationResults").invocationResults;
export declare const invocationResultsOutput: typeof import("./invocationResults").invocationResultsOutput;
export { InvocationsArgs, InvocationsResult, InvocationsOutputArgs } from "./invocations";
export declare const invocations: typeof import("./invocations").invocations;
export declare const invocationsOutput: typeof import("./invocations").invocationsOutput;
export { KeyPairArgs, KeyPairState } from "./keyPair";
export type KeyPair = import("./keyPair").KeyPair;
export declare const KeyPair: typeof import("./keyPair").KeyPair;
export { KeyPairAssociateArgs, KeyPairAssociateState } from "./keyPairAssociate";
export type KeyPairAssociate = import("./keyPairAssociate").KeyPairAssociate;
export declare const KeyPairAssociate: typeof import("./keyPairAssociate").KeyPairAssociate;
export { KeyPairsArgs, KeyPairsResult, KeyPairsOutputArgs } from "./keyPairs";
export declare const keyPairs: typeof import("./keyPairs").keyPairs;
export declare const keyPairsOutput: typeof import("./keyPairs").keyPairsOutput;
export { LaunchTemplateArgs, LaunchTemplateState } from "./launchTemplate";
export type LaunchTemplate = import("./launchTemplate").LaunchTemplate;
export declare const LaunchTemplate: typeof import("./launchTemplate").LaunchTemplate;
export { LaunchTemplatesArgs, LaunchTemplatesResult, LaunchTemplatesOutputArgs } from "./launchTemplates";
export declare const launchTemplates: typeof import("./launchTemplates").launchTemplates;
export declare const launchTemplatesOutput: typeof import("./launchTemplates").launchTemplatesOutput;
export { RegionsArgs, RegionsResult, RegionsOutputArgs } from "./regions";
export declare const regions: typeof import("./regions").regions;
export declare const regionsOutput: typeof import("./regions").regionsOutput;
export { StateArgs, StateState } from "./state";
export type State = import("./state").State;
export declare const State: typeof import("./state").State;
export { ZonesArgs, ZonesResult, ZonesOutputArgs } from "./zones";
export declare const zones: typeof import("./zones").zones;
export declare const zonesOutput: typeof import("./zones").zonesOutput;
